Update Daily Template
curl --request PATCH \
--url https://api.example.com/contests/daily/templates/{template_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"prize_type": "<string>",
"prize_value": "<string>",
"max_winners": 2,
"attempts_per_user": 2,
"times_per_day": 2,
"schedule_times": "<string>",
"cooldown_hours": 2,
"payload": {},
"is_enabled": true
}
'import requests
url = "https://api.example.com/contests/daily/templates/{template_id}"
payload = {
"name": "<string>",
"description": "<string>",
"prize_type": "<string>",
"prize_value": "<string>",
"max_winners": 2,
"attempts_per_user": 2,
"times_per_day": 2,
"schedule_times": "<string>",
"cooldown_hours": 2,
"payload": {},
"is_enabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
prize_type: '<string>',
prize_value: '<string>',
max_winners: 2,
attempts_per_user: 2,
times_per_day: 2,
schedule_times: '<string>',
cooldown_hours: 2,
payload: {},
is_enabled: true
})
};
fetch('https://api.example.com/contests/daily/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"prize_type": "<string>",
"prize_value": "<string>",
"max_winners": 123,
"attempts_per_user": 123,
"times_per_day": 123,
"cooldown_hours": 123,
"is_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"schedule_times": "<string>",
"payload": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contests
Update Daily Template
Обновление шаблона ежедневного конкурса.
PATCH
/
contests
/
daily
/
templates
/
{template_id}
Update Daily Template
Authorizations
Path Parameters
Body
application/json
Required range:
x >= 1Required range:
x >= 1Required range:
x >= 1Required range:
x >= 1Response
Successful Response
⌘I
